package com.zcloud.mapper.datasource.electronicFence;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;
import java.util.Map;

/**
 * 说明：电子围栏
 * 作者：wangxuan
 * 官网：www.zcloudchina.com
 */
public interface ElectronicFenceMapper {
    List<PageData> datalistPage(Page page);

    void save(PageData pd);

    void edit(PageData pd);

    void deleteAll(PageData pd);

    PageData findById(PageData pd);

    List<PageData> listAll(PageData pd);

    List<Map<String, Object>> listTree(PageData pd);
    List<Map<String, Object>> listTreeApp(PageData pd);

    List<PageData> findByPId(PageData pd);
}
